### Virtual Method

# Gio TlsDatabase lookup_certificate_issuer_finish

since: 2.30

#### Declaration [src]

    GTlsCertificate*
    lookup_certificate_issuer_finish (
      GTlsDatabase* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous lookup issuer operation. See `g_tls_database_lookup_certificate_issuer()` for more information.

Available since: 2.30

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GTlsCertificate`

A newly allocated issuer `GTlsCertificate`, or `NULL`. Use `g_object_unref()` to release the certificate.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.